Bug 732566 - enabling gnome services kills mouse settings
Summary: enabling gnome services kills mouse settings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: xfce4-settings
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-22 22:37 UTC by Dimitri Maziuk
Modified: 2018-03-03 22:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-03 22:52:57 UTC


Attachments (Terms of Use)
xsession-errors (3.86 KB, text/plain)
2011-08-25 01:27 UTC, Dimitri Maziuk
no flags Details


Links
System ID Priority Status Summary Last Updated
Xfce 5004 None None None Never

Description Dimitri Maziuk 2011-08-22 22:37:11 UTC
Description of problem:

I'm using a left-handed mouse. After I enabled gnome services, logged out and back in again it was remapped to right-handed. The settings widget it would let me select the "left handed" radio button, but the mouse buttons weren't remapped. After closing and re-opening the widget, selection was back on "right handed". I could change the value in the settings editor, but that didn't affect the mouse either.

Version-Release number of selected component (if applicable):

xfce4-session-4.8.1-4.el6.x86_64
xfce4-settings-4.8.2-2.el6.x86_64

Comment 1 Kevin Fenzi 2011-08-25 00:43:36 UTC
Is there anything related in ~/.xsession-errors? 

Can you see if gnome-settings-daemon is running before xfconfd ?
(check pid and time).

Comment 2 Dimitri Maziuk 2011-08-25 01:27:32 UTC
Created attachment 519744 [details]
xsession-errors

Comment 3 Dimitri Maziuk 2011-08-25 01:40:37 UTC
Nothing caught my eye in .xsession-errors, take a look for yourself.

dmaziuk@yellowtail:~$ ps -aef | grep xfcon[fd]
dmaziuk  15475     1  0 20:22 ?        00:00:00 /usr/lib64/xfce4/xfconf/xfconfd
dmaziuk@yellowtail:~$ ps -aef | grep gnome-setting[s]
dmaziuk  15834     1  0 20:22 ?        00:00:00 /usr/libexec/gnome-settings-daemon

According to pids xfconfd was started first. (I don't remember: is there startup time in ticks hiding in /proc somewhere?)

BTW, this is after I went to Settings - Settings Manager - Session and Startup and enabled "Launch GNOME services on startup" on Advanced tab. Then logged out and back in again -- my mouse buttons are back to right-handed config.

Comment 4 Kevin Fenzi 2011-08-27 19:39:38 UTC
If you run xfce4-mouse-settings directly from a terminal, do you get any output?

Comment 5 Kevin Fenzi 2011-08-27 19:45:03 UTC
Sigh. Setting component back.

Comment 6 Dimitri Maziuk 2011-08-29 17:10:51 UTC
(xfce4-mouse-settings is what I called "settings widget": I'm new to xfce)

It doesn't print any messages unfortunately. The behaviour is the same: with gnome services running, it comes up as right handed on login. I can select the "Left handed" radio button on both "Mac emulation" and my physical mouse, but that doesn't do anything. If I leave the tab and come back, radio button's back to "Right handed".

Comment 7 Kevin Fenzi 2011-09-04 20:59:52 UTC
Is this a usb mouse? was it removed and readded between logins?

Comment 8 Dimitri Maziuk 2011-09-06 16:21:04 UTC
Yes, it is a usb mouse (dell laser) plugged into a usb hub (built into the monitor -- also dell).
No, it was not removed and re-added.

Comment 9 Kevin Fenzi 2011-09-06 22:04:57 UTC
Sorry for all the back and forth. Looks like this might be upstream bug: 
https://bugzilla.xfce.org/show_bug.cgi?id=5004

From the last comment there: 

First check if xfce4-settings-helper is running.

If you still have this problem, paste the output of "xinput list" and "xinput
get-button-map <id>", replace id with the device's id from the list.

I'd be happy to add this info for you, or let you do so. ;)

Comment 10 Mukundan Ragavan 2018-03-03 22:52:57 UTC
xfce 4.8.x bug. Closing.


Note You need to log in before you can comment on or make changes to this bug.